summaryrefslogtreecommitdiff
path: root/dev-ruby/cgi/cgi-0.4.1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-12-17 18:30:23 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-12-17 18:30:23 +0000
commit08d5f63ec686c71e5af5775902150732a73312d8 (patch)
tree54946678a36910748db1aaff47006b064bda42eb /dev-ruby/cgi/cgi-0.4.1.ebuild
parentf56f2bc84aa11ef511a40bebee15aa72bb55717e (diff)
downloadsrcux-08d5f63ec686c71e5af5775902150732a73312d8.tar.gz
srcux-08d5f63ec686c71e5af5775902150732a73312d8.tar.xz
srcux-08d5f63ec686c71e5af5775902150732a73312d8.zip
Adding metadata
Diffstat (limited to 'dev-ruby/cgi/cgi-0.4.1.ebuild')
-rw-r--r--dev-ruby/cgi/cgi-0.4.1.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev-ruby/cgi/cgi-0.4.1.ebuild b/dev-ruby/cgi/cgi-0.4.1.ebuild
new file mode 100644
index 000000000000..11b7a6ded8f8
--- /dev/null
+++ b/dev-ruby/cgi/cgi-0.4.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/cgi/escape/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR=lib/cgi
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="cgi.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Support for the Common Gateway Interface protocol"
+HOMEPAGE="https://github.com/ruby/cgi"
+SRC_URI="https://github.com/ruby/cgi/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( Ruby-BSD BSD-2 )"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+SLOT="0"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+ sed -e "/spec.version/ s/= version/= '${PV}'/" \
+ -e "/spec.name/ s/= name/= '${PN}'/" \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:test:. -rtest/lib/helper -e "Dir['test/**/test_*.rb'].each { require _1 }" || die
+}